Bug 1021143 - VM Snapshot UI with virt-manager
VM Snapshot UI with virt-manager
Status: CLOSED CURRENTRELEASE
Product: Fedora Documentation
Classification: Fedora
Component: release-notes (Show other bugs)
devel
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pete Travis
Fedora Docs QA
: Tracking
Depends On: 998508
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-19 16:02 EDT by Pete Travis
Modified: 2014-01-13 08:56 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 998508
Environment:
Last Closed: 2014-01-13 08:56:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pete Travis 2013-10-19 16:02:49 EDT
+++ This bug was initially created as a clone of Bug #998508 +++

This is a tracking bug for Change: VM Snapshot UI with virt-manager
For more details, see: http://fedoraproject.org//wiki/Changes/Virt_Manager_Snapshots

Add UI to virt-manager for easily managing VM snapshots.

--- Additional comment from Cole Robinson on 2013-08-27 11:57:46 EDT ---

Change is mostly complete in F20/Rawhide, setting to MODIFIED.

--- Additional comment from M. Edward (Ed) Borasky on 2013-09-26 00:52:26 EDT ---

I've got Fedora 20 Alpha with virt-manager 0.10.0-2.git948b5359.fc20 installed. I'm looking for a button / link / menu item for managing snapshots and I don't see anything. Is this still to be implemented? If not, how do I take a snapshot in virt-manager? I'm currently doing them from the command line (on qcow2 disks) using qemu-img.

--- Additional comment from Cole Robinson on 2013-10-01 11:16:00 EDT ---

(In reply to M. Edward (Ed) Borasky from comment #2)
> I've got Fedora 20 Alpha with virt-manager 0.10.0-2.git948b5359.fc20
> installed. I'm looking for a button / link / menu item for managing
> snapshots and I don't see anything. Is this still to be implemented? If not,
> how do I take a snapshot in virt-manager? I'm currently doing them from the
> command line (on qcow2 disks) using qemu-img.

It's hidden by default at the moment, behind the cli option --experimental-snapshot-ui . Upstream has all this stuff in much better shape and turned on by default, I'll be doing a new build this week. You'll see a new icon in the toolbar of the VM graphics/details window, that's how you access the UI

--- Additional comment from Jaroslav Reznik on 2013-10-11 04:45:33 EDT ---

This message is a reminder that Fedora 20 Accepted Changes 100%
Completed Deadline is on 2013-10-15 [1].

All Accepted Changes has to be code complete and ready to be
validated in the Beta release (optionally by Fedora QA). Required
bug state at this point is ON_QA.

As for several System Wide Changes, Beta Change Deadline is a
point of contingency plan, all incomplete Changes will be 
reported to FESCo for 2013-10-16 meeting. In case of any
questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/20/Schedule

=======================================
Tracking bug for inclusion of the Change in Release Notes.
Comment 1 Pete Travis 2013-10-19 16:03:52 EDT
Moved Laura's content from wiki to git at https://git.fedorahosted.org/cgit/docs/release-notes.git/commit/?id=5d78799ffdb7613b8fd741ebe415396bb6b35000

Note You need to log in before you can comment on or make changes to this bug.